### Method

# St ThemeNode get_background_gradient

#### Declaration [src]

    void
    st_theme_node_get_background_gradient (
      StThemeNode* node,
      StGradientType* type,
      CoglColor* start,
      CoglColor* end
    )

#### Description [src]

The `start` and `end` arguments will only be set if `type` is not #ST_GRADIENT_NONE.

#### Parameters

`type`

  Type: `StGradientType`

  Type of gradient.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`start`

  Type: `CoglColor`

  Color at start of gradient.

  The argument will be set by the function.
  The returned data is owned by the instance.

`end`

  Type: `CoglColor`

  Color at end of gradient.

  The argument will be set by the function.
  The returned data is owned by the instance.